Skip to main content
POST
/
v3
/
10dlc
/
brands
/
{brand_id}
/
evidence
Upload a 10DLC Brand evidence
curl --request POST \
  --url https://api.wavix.com/v3/10dlc/brands/{brand_id}/evidence \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "file_name": "image.png",
  "mime_type": "image/png",
  "url": "https://api.wavix.dev/v3/10dlc/brands/B6AI7PA/evidence/191eb205-8357-4d71-b8da-160a25a000d7",
  "uuid": "191eb205-8357-4d71-b8da-160a25a000d7"
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

brand_id
string
required

Unique identifier of a Brand

Example:

"B6AI7PA"

Body

multipart/form-data
file
file
required

The file to upload

Response

Resource created successfully.

Evidence file attached to a 10DLC Brand appeal.

file_name
string
required

The uploaded file name

Example:

"image.png"

mime_type
string
required

The uploaded file media type

Example:

"image/png"

url
string
required

An URL to the uploaded file

Example:

"https://api.wavix.dev/v3/10dlc/brands/B6AI7PA/evidence/191eb205-8357-4d71-b8da-160a25a000d7"

uuid
string
required

The evidence UUID

Example:

"191eb205-8357-4d71-b8da-160a25a000d7"